Subject: Re: [PATCH v2 net-next 4/4] vxlan: do not receive IPv4 packets on IPv6 socket

From: Jiri Benc <[email-masked]>
Date: Sat, 29 Aug 2015 10:55:44 +0200

On Sat, 29 Aug 2015 00:39:29 +0200, Thomas Graf wrote:
> Can we fix VXLAN instead? It should be possible to receive and send both
> v4 and v6 frames and represent it with metadata on a single socket.

That's actually what I intend to do next. But I need the flag and this
patch for that. If IPv6 is enabled, I'll open two sockets within a
single vxlan_sock for metadata based vxlan, IPv4 one and IPv6 one. It
would be easier to just open an IPv6 socket and receive both IPv4 and
IPv6 traffic through it but unfortunately, this depends on bindv6only
sysctl. We don't want to have IPv4 vxlan broken if bindv6only is set.
Therefore, we need two sockets, and the IPv6 one needs to be v6only.

 Jiri

-- 
Jiri Benc